[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'keyboard' (#rtl)

# KeyPressed

Check event queue for key press

## Declaration

Source position: keyboard.pp line 46

`function KeyPressed: Boolean;`

## Description

KeyPressed checks the keyboard event queue to see whether a key event is present, and returns True if a key event is available. This function simply calls PollKeyEvent and checks for a valid result.

## Errors

None.

## See also

PollKeyEvent |  | Get next key event, but does not wait.
GetKeyEvent |  | Get the next raw key event, wait if needed.

Documentation generated on: Feb 26 2014